--- title: "Terminate channel" slug: "media-livestation-channel-vodchanneldelete" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-channel-vodchanneldelete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Terminate channel Available in Classic and VPC Terminate a VOD2LIVE channel. Only channels with the `READY` status can be terminated. Caution Note the following when terminating channels. - To terminate a channel that is in the process of broadcast streaming (`PUBLISHING`), end the broadcast streaming before terminating it. - When terminating a channel, created snapshots will also be deleted in their entirety. - Even if you terminate a channel, the CDN that was integrated with it is maintained. Delete unused CDNs to avoid unnecessary charges. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v2/vod/channels/{channelId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-vodchannellist). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://livestation.apigw.ntruss.com/api/v2/vod/channels/ls-20250820******-nblBN' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Channel information | | `content.channelId` | String | - | Channel ID | | `content.channelName` | String | - | Channel name | | `content.instanceNo` | Integer | - | Channel instance number | | `content.qualitySetId` | Integer | - | Image quality setting ID | | `content.qualitySetName` | String | - | Image quality setting name | | `content.outputProtocol` | String | - | Output Protocol | | `content.channelStatus` | String | - | Channel status - `CREATING` \| `READY` \| `PUBLISHING` \| `DELETED` \| `BLOCK` \| `RESERVED` \| `FORCE_BLOCK` \| `FORCE_DELETED` - `CREATING`: Creating - `READY`: Ready - `PUBLISHING`: Streaming - `DELETED`: Terminated - `BLOCK`: Stopped - `RESERVED`: Streaming scheduled - `FORCE_BLOCK`: Force stopped - `FORCE_DELETED`: Unavailable | | `content.cdn` | Object | - | Set up CDN. | | `content.cdn.instanceNo` | String | - | CDN instance ID | | `content.cdn.serviceName` | String | - | CDN service name | | `content.cdn.statusName` | String | - | CDN status - `RUNNING` \| `PUBLISHING` \| `STOPPING` \| `STOPPED` \| `CREATING` \| `CHANGING` \| `CDN_NOT_FOUND` - `RUNNING`: Running - `PUBLISHING`: Deploying - `STOPPING`: Stopping - `STOPPED`: Stopped - `CREATING`: Creating - `CHANGING`: Changing - `CDN_NOT_FOUND`: CDN not found | | `content.cdn.cdnType` | String | - | CDN type - `GLOBAL_CDN` \| `GLOBAL_EDGE` | | `content.cdn.cdnDomain` | String | - | CDN service domain | | `content.cdn.profileId` | Integer | - | Global Edge profile ID | | `content.cdn.regionType` | String | - | Global Edge Service Region | | `content.totalPublishSeconds` | Integer | - | Channel usage time (second) | | `content.createdTime` | Integer | - | Channel creation date and time (millisecond) - Unix timestamp format | | `content.updatedTime` | Integer | - | Channel update date and time (millisecond) - Unix timestamp format | | `content.alertOn` | Boolean | - | Event notification settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.recentPublishTime` | Integer | - | Latest streaming start date and time (millisecond) - Unix timestamp format - Not displayed if it is before the first streaming | | `content.alertOptions` | Object | - | Set event notifications. | | `content.alertOptions.alertChangeStatus` | Boolean | - | Channel status change notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.callbackEndpoint` | String | - | Callback endpoint URL - Displayed if a valid value exists | | `content.envType` | String | - | Channel type - `DEV` \| `STAGE` \| `REAL` | | `content.type` | String | - | Channel type - `VOD` | | `content.scheduleList` | Array | - | Schedule list: [scheduleList](/docs/en/media-livestation-channel-vodchanneldelete#scheduleList) | | `content.drmEnabledYn` | Boolean | - | Multi DRM usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.drm` | Object | - | Multi DRM settings - If `content.drmEnabledYn` is `true`, display sub-information. | | `content.drm.siteId` | String | - | Site ID | | `content.drm.contentId` | String | - | Content ID | #### `scheduleList` The following describes `scheduleList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `scheduleId` | Integer | - | Schedule ID | | `status` | String | - | Schedule status | ### Response body The response body includes the following data: ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250820******-nblBN", "channelName": "v2l_deletetest", "instanceNo": 108283145, "qualitySetId": 3, "qualitySetName": "1080p-set", "outputProtocol": "HLS", "channelStatus": "DELETED", "cdn": { "instanceNo": "11618", "serviceName": "edge-ls-20250818******-KRXat", "statusName": "RUNNING", "cdnType": "GLOBAL_EDGE", "cdnDomain": "**************.edge.naverncp.com", "profileId": 4210, "regionType": "KOREA" }, "totalPublishSeconds": 0, "createdTime": 1755674744000, "updatedTime": 1755674744000, "alertOn": false, "alertOptions": { "alertChangeStatus": false }, "callbackEndpoint": "https://www.example.com", "envType": "REAL", "type": "VOD", "drmEnabledYn": false } } ```